com.pixelmed.anatproc

## Class DisplayableAnatomicConcept

- java.lang.Object
- - com.pixelmed.anatproc.Concept
  - - com.pixelmed.anatproc.CodedConcept
    - - com.pixelmed.anatproc.DisplayableConcept
      - - com.pixelmed.anatproc.DisplayableAnatomicConcept

    public class DisplayableAnatomicConcept
    extends DisplayableConcept

This class represents anatomic concepts that may be encoded and displayed.

### Field Summary

Fields
`protected boolean` `pairedStructure`

### Fields inherited from class com.pixelmed.anatproc.DisplayableConcept

`fullyQualifiedMenuEntry, shortcutMenuEntry`

### Fields inherited from class com.pixelmed.anatproc.CodedConcept

`codeMeaning, codeStringEquivalent, codeValue, codingSchemeDesignator, codingSchemeVersion, conceptIdentifier, legacyCodingSchemeDesignator, synonynms`

### Fields inherited from class com.pixelmed.anatproc.Concept

`conceptUniqueIdentifier`

### Constructor Summary

Constructors
`protected` `DisplayableAnatomicConcept()`

``

`DisplayableAnatomicConcept(java.lang.String conceptUniqueIdentifier, java.lang.String conceptIdentifier, boolean pairedStructure, java.lang.String codingSchemeDesignator, java.lang.String legacyCodingSchemeDesignator, java.lang.String codingSchemeVersion, java.lang.String codeValue, java.lang.String codeMeaning, java.lang.String codeStringEquivalent, java.lang.String[] synonynms, java.lang.String[] shortcutMenuEntry, java.lang.String[] fullyQualifiedMenuEntry)`

### Method Summary

Methods
`boolean` `isPairedStructure()`
`java.lang.String` `toString()`

### Methods inherited from class com.pixelmed.anatproc.DisplayableConcept

`getFullyQualifiedMenuEntry, getShortcutMenuEntry`

### Methods inherited from class com.pixelmed.anatproc.CodedConcept

`getCodeAsString, getCodedSequenceItem, getCodeMeaning, getCodeStringEquivalent, getCodeValue, getCodingSchemeDesignator, getCodingSchemeVersion, getConceptIdentifier, getLegacyCodingSchemeDesignator, getSynonyms, toStringBrief`

### Methods inherited from class com.pixelmed.anatproc.Concept

`equals, getConceptUniqueIdentifier, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pairedStructure

    protected boolean pairedStructure

### Constructor Detail

#### DisplayableAnatomicConcept

    public DisplayableAnatomicConcept(java.lang.String conceptUniqueIdentifier,
                              java.lang.String conceptIdentifier,
                              boolean pairedStructure,
                              java.lang.String codingSchemeDesignator,
                              java.lang.String legacyCodingSchemeDesignator,
                              java.lang.String codingSchemeVersion,
                              java.lang.String codeValue,
                              java.lang.String codeMeaning,
                              java.lang.String codeStringEquivalent,
                              java.lang.String[] synonynms,
                              java.lang.String[] shortcutMenuEntry,
                              java.lang.String[] fullyQualifiedMenuEntry)

#### DisplayableAnatomicConcept

    protected DisplayableAnatomicConcept()

### Method Detail

#### isPairedStructure

    public boolean isPairedStructure()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `DisplayableConcept`